<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script>
        $(document).ready(function () {
            "use strict";
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            var gImageLight = $("#imgLight");

            /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
            $("#turn-on").click(function() {
                turnOn();
            })

            $("#turn-off").click(function() {
                turnOff();
            })


            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function turnOn() {
                gImageLight.prop("src", "images/pic_bulbon.gif");
            }

            function turnOff() {
                gImageLight.prop("src", "images/pic_bulboff.gif");
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

        });
    </script>
</head>

<body>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="d-flex align-items-end">
                <button class="btn btn-warning" id="turn-on">Bật đèn</button>
                <img id="imgLight" src="images/pic_bulboff.gif" alt="light image" width="150px">
                <button class="btn btn-secondary" id="turn-off">Tắt đèn</button>
            </div>
        </div>
    </div>
</body>

</html>
